> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turncall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Outbound Call

> Create an outbound call via Twilio.



## OpenAPI

````yaml /openapi.json post /v1/calls/outbound
openapi: 3.1.0
info:
  title: TurnCall
  description: Production voice agent platform API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/calls/outbound:
    post:
      tags:
        - calls
      summary: Create Outbound Call
      description: Create an outbound call via Twilio.
      operationId: create_outbound_call_v1_calls_outbound_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOutboundCallRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Create Outbound Call V1 Calls Outbound Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateOutboundCallRequest:
      properties:
        to_number:
          type: string
          pattern: ^\+[1-9]\d{1,14}$
          title: To Number
        from_number_id:
          type: string
          format: uuid
          title: From Number Id
        agent_id:
          type: string
          format: uuid
          title: Agent Id
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - to_number
        - from_number_id
        - agent_id
      title: CreateOutboundCallRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````